Bug 2224 - Maemo user profile public formatting isn't nice
: Maemo user profile public formatting isn't nice
Status: RESOLVED FIXED
Product: maemo.org Website
Profile
: unspecified
: All All
: High enhancement with 1 vote (vote)
: ---
Assigned To: Henri Bergius
: profile-bugs
:
: easyfix
: 2198 3102 3244 3443 3447
:
  Show dependency tree
 
Reported: 2007-11-06 14:39 UTC by Alexander Bokovoy
Modified: 2008-12-06 18:45 UTC (History)
2 users (show)

See Also:


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description Alexander Bokovoy (reporter) 2007-11-06 14:39:45 UTC
Maemo user profile as displayed to users isn't nice. In particular, all
external links are shown on the same line instead of one per line for better
clarity.

It would be nice to re-format profile output so that alter egos are shown one
per line and may be plain old two-column output (alter ego name, URL) would be
more useful here. 

Also, adding small 'About me' text box would allow to say something
Maemo-related?
Comment 1 Quim Gil nokia 2007-11-06 14:53:50 UTC
Hi, assigning this one to me. I agree and I'm supposed to come up with a basic
proposal. I'm really busy these days, so if someone wants to contribute some
kind of basic mockup to agree upon that would be great.

About the alter egos I was thinking about showing only the icons in a row. Most
of us know these icons anyway and they look nicer than the URL. Facebook and
others are getting us used to see icons under picture avatars and make sense
from them.

Your 'About me' proposal is already mentioned in Bug 2198
Comment 2 Quim Gil nokia 2007-11-26 13:08:15 UTC
Let's keep this simple in order to move forward. Changes to the current
template:

- Between Interest and Alter Egos there is the "maemo involvement" introduction
requested at Bug 2198.

- "Alter Egos" should have same font size and no colon (:) like the rest of
titles.

- As proposed by Alexander: two columns, in the left the names of the services
(without .com or link) and in the right the URLs, clickable.

- The link to "Public profile" out, since it makes no sense in the public
profile.

Forwarding the bug to Henri, please reassign if this is not for you. Thanks!
Comment 3 Quim Gil nokia 2007-11-26 13:10:27 UTC
Second through: simply "Intro" is better than "maemo involvement"
Comment 4 Quim Gil nokia 2008-06-17 14:59:49 UTC
Andre, remember that in product Website we prioritize as "High" the bugs that
need to be dealt with in the current sprint.
Comment 5 Henri Bergius 2008-07-07 16:10:06 UTC
The profile page has been redesigned. See http://screencast.com/t/vIPdz7fM2lx

Should go live later today.
Comment 6 Quim Gil nokia 2008-07-14 02:07:39 UTC
Reopening since there are a couple of issues. See blocking bugs.
Comment 7 Niels Breet maemo.org 2008-07-16 19:59:05 UTC
I guess we can resolve this bug as the blockers are all fixed.
Comment 8 Quim Gil nokia 2008-07-24 22:55:22 UTC
Reopening. These boxes... are like crazy. They give a chaotic aspect to the
pages. There must be a way to sort this better.

See for instance http://maemo.org/profile/view/murrayc.html

One idea: put the numbers in the left and the titles in the right. Will help.
Comment 9 Quim Gil nokia 2008-07-25 13:59:22 UTC
Also, why tables in two columns. Make just one wide column and you won't get
all those holes.

Sorting the karma sections from the more static to the less important you
minimize the need to scroll and it will look more as an extension of the
profile itself:

Groups
Products
Bugs
Blogs
Comments
Discussion
Favourites
Comment 10 Ryan Abel maemo.org 2008-07-25 14:15:43 UTC
(In reply to comment #9)
> Also, why tables in two columns. Make just one wide column and you won't get
> all those holes.
> 

Expanding on this, why not sort the data into two columns, but keep each
heading in one?

So,

(In reply to comment #9)
> Also, why tables in two columns. Make just one wide column and you won't get
> all those holes.
> 

Expanding on this, why not sort the data into two columns, but keep each
heading in one? This'd give you more room for items without weird flow issues

So (hopefully the pre-formating doesn't get mangled when I post),

Groups:
* All users imported from garage.maemo.org    * PyShop members
* Advanced Backlight Applet members           
* liqbase members                             
* Community Kernels
* Community Kernels members

Favorites:
* Qt4 Diablo Repository.                      * Intel switches from Ubuntu
* Defining the Maemo Bugzilla scope             to Fedora for Moblin
* Shutting down is like driving your car      * Nokia N810 & N800: How to 
  into your Garage                              use the tablets with Fon 
* New profile pages on maemo.org                routers (La Foneras
* maemo.org/downloads automatic updates       * Interview with qwerty12
  from Extras
Comment 11 Henri Bergius 2008-07-30 09:47:46 UTC
The boxes were right until somebody removed height and width from the CSS. I'm
quite convinced the risk of some empty space is better than the current
completely chaotic arrangement.
Comment 12 Henri Bergius 2008-07-30 11:17:08 UTC
Fixed in SVN: http://internal.maemo.org/profile/view/bergie/

Will be synced to maemo.org a bit later.
Comment 13 Quim Gil nokia 2008-07-30 11:23:24 UTC
Good!

Would it be possible to have the sorting proposed at Comment #9 now adapted for
2 columns:

Groups - Products
Bugs - Blogs
Comments - Discussion
Favourites - ? (wiki edits one day?)